/*
********************************************************************************
*                             uC/OS-II
*                         The Real-Time Kernel
*
*                     Configuration for ATmega103
*
* File:		OS_CFG.H
* By:			Ole Saether
* Modified by:	Joerg Meyer
* Revision:		0
*
********************************************************************************
*/

/*
********************************************************************************
*                       uC/OS-II CONFIGURATION
********************************************************************************
*/
// alle nachfolgenden parameter sind entsprechend der eigenen Applikation 
// anzupassen
// Default stack size (# of bytes)
#define OS_TASK_DEF_STK_SIZE	128	
// Max. number of event control blocks in your application MUST be >= 2
#define OS_MAX_EVENTS		2	 
// Max. number of memory partitions MUST be >= 2
#define OS_MAX_MEM_PART		2
// Max. number of queue control blocks in your application MUST be >= 2
#define OS_MAX_QS			2
// Max. number of tasks in your application MUST be >= 2
#define OS_MAX_TASKS		4
// Defines the lowest priority that can be assigned MUST NEVER be higher than 63
#define OS_LOWEST_PRIO		20
// Idle task stack size
#define OS_TASK_IDLE_STK_SIZE OS_TASK_DEF_STK_SIZE
// Enable (1) or Disable(0) the statistics task
#define OS_TASK_STAT_EN		0
// Statistics task stack size
#define OS_TASK_STAT_STK_SIZE OS_TASK_DEF_STK_SIZE
// uC/OS-II hooks are found in the processor port files
#define OS_CPU_HOOKS_EN		1
// Include (1) or Exlude (0) code for MAILBOXES
#define OS_MBOX_EN			0
// Include (1) or Exlude (0) code for MEMORY MANAGER (fixed sized memory blocks)
#define OS_MEM_EN			0
// Include (1) or Exlude (0) code for QUEUES
#define OS_Q_EN				0
// Include (1) or Exlude (0) code for SEMAPHORES
#define OS_SEM_EN			1
// Include (1) or Exlude (0) code for OSTaskChangePrio()
#define OS_TASK_CHANGE_PRIO_EN	0 
// Include (1) or Exlude (0) code for OSTaskCreate()
#define OS_TASK_CREATE_EN		1
// Include (1) or Exlude (0) for OSTaskCreateExt()
#define OS_TASK_CREATE_EXT_EN	0
// Include (1) or Exlude (0) code for OSTaskDel()
#define OS_TASK_DEL_EN		0
// Include (1) or Exlude (0) code for OSTaskSuspend() and OSTaskResume()
#define OS_TASK_SUSPEND_EN	0
// Set the number of ticks in one second
#define OS_TICKS_PER_SEC	50
