/*
********************************************************************************
* Portierung des RTOS "C/OS-II" von Jean J. Labrosse auf den ATmega103
* 
* Compiler:		IIC von imagecraft
* File:			Test1.c (Testapplikation)
* By:			Joerg Meyer
* Revision:		0
*
*
*
********************************************************************************
*/
#define Test1_GLOBALS
#include "includes.h"

//******************************************************************************
// Constants
#define TaskStartPrio	10		// Task-Prioritaeten


//*****************************************************************************
// Variablen
OS_STK	Task1Stack[OS_TASK_DEF_STK_SIZE];		// startup task stack
OS_STK	Task2Stack[OS_TASK_DEF_STK_SIZE];	

//*****************************************************************************
// Prototypes
void Task1(void *pdata);
//*****************************************************************************
// Start
void main(void){
	OSInit();		// OS init

	OSTaskCreate(Task1,
				(void *)(int)'a',
				&Task1Stack[OS_TASK_DEF_STK_SIZE-1],
				TaskStartPrio+1);
	OSTaskCreate(Task1,
				(void *)(int)'b',
				&Task2Stack[OS_TASK_DEF_STK_SIZE-1],
				TaskStartPrio); 
                
	// init und start tick
	TC2_Init();			// Timer/Counter#2 Overflow and Comp init


	OSStart();		// start multitasking

}

//*****************************************************************************
void Task1(void *data){
	char c = (int)data;
	for (;;){
    	putchar(c);
		OSTimeDly (2);

	}
}
